> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List accessible workspaces



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces:
    get:
      summary: List accessible workspaces
      operationId: listWorkspaces
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceList'
      security:
        - cookieAuth: []
        - bearerAuth:
            - workspace:read
components:
  schemas:
    WorkspaceList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          displayName:
            type: string
          iconUpdatedAt:
            type: string
            nullable: true
        required:
          - id
          - displayName
        additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````